# frozen_string_literal: true

require 'fileutils'

module VARubyStyle
  module Generators
    class Setup
      def self.create_default_setup_file
        working_dir = File.expand_path(Dir.pwd)
        dest_file = "#{working_dir}/.rubocop.yml"

        if File.file?(dest_file)
          puts('.rubocop.yml already exists.')
        else
          src_file = File.dirname(__FILE__) + '/files/default_setup.yml'
          FileUtils.copy_file(src_file, dest_file)
        end
      end
    end
  end
end
